Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Thuna <[email-masked]>
Date: Tue, 06 Sep 2022 15:59:13 +0200

> Thanks.  I've had a skim over the patch, and it seems reasonable to me.
> (I haven't tried it, though.)  But what's the use case for this?  I
> can't really remember ever wanting to hide a column in a tabulated-list
> buffer.

It's mostly a quality of life improvement.  Horizontal scrolling is a
mess (or at least I can't manage it), and you don't always need to see
all of the columns, so adding a way for the user to control it seemed
reasonable.  Also, when you add a filtering mechanism to your
`tabulated-list-entries' function, some columns can end up redundant,
this would make it convenient to manage situations like that.  (I would
know; that's why I wrote it)